xmonad-contrib-0.17.1: Community-maintained extensions for xmonad

Copyright | (c) Jan Vornberger 2009
License | BSD3-style (see LICENSE)
Maintainer | jan.vornberger@informatik.uni-oldenburg.de
Stability | unstable
Portability | not portable
Safe Haskell | Safe-Inferred
Language | Haskell2010

XMonad.Layout.NoFrillsDecoration

Contents

- Usage:

Description

Most basic version of decoration for windows without any additional modifications. In contrast to XMonad.Layout.SimpleDecoration this will result in title bars that span the entire window instead of being only the length of the window title.

Synopsis

- noFrillsDeco :: (Eq a, Shrinker s) => s -> Theme -> l a -> ModifiedLayout (Decoration NoFrillsDecoration s) l a
- module XMonad.Layout.SimpleDecoration
- data NoFrillsDecoration a

# Usage:

You can use this module with the following in your `~/.xmonad/xmonad.hs`:

    import XMonad.Layout.NoFrillsDecoration

Then edit your `layoutHook` by adding the NoFrillsDecoration to your layout:

    myL = noFrillsDeco shrinkText def (layoutHook def)
    main = xmonad def { layoutHook = myL }

noFrillsDeco :: (Eq a, Shrinker s) => s -> Theme -> l a -> ModifiedLayout (Decoration NoFrillsDecoration s) l a #

Add very simple decorations to windows of a layout.

module XMonad.Layout.SimpleDecoration

data NoFrillsDecoration a #

#### Instances

Instances details

Eq a => DecorationStyle NoFrillsDecoration a # |

Instance details

Defined in XMonad.Layout.NoFrillsDecoration

Methods

describeDeco :: NoFrillsDecoration a -> String #

shrink :: NoFrillsDecoration a -> Rectangle -> Rectangle -> Rectangle #

decorationEventHook :: NoFrillsDecoration a -> DecorationState -> Event -> X () #

decorationCatchClicksHook :: NoFrillsDecoration a -> Window -> Int -> Int -> X Bool #

decorationWhileDraggingHook :: NoFrillsDecoration a -> CInt -> CInt -> (Window, Rectangle) -> Position -> Position -> X () #

decorationAfterDraggingHook :: NoFrillsDecoration a -> (Window, Rectangle) -> Window -> X () #

pureDecoration :: NoFrillsDecoration a -> Dimension -> Dimension -> Rectangle -> Stack a -> [(a, Rectangle)] -> (a, Rectangle) -> Maybe Rectangle #

decorate :: NoFrillsDecoration a -> Dimension -> Dimension -> Rectangle -> Stack a -> [(a, Rectangle)] -> (a, Rectangle) -> X (Maybe Rectangle) #

Read (NoFrillsDecoration a) # |
Instance details Defined in XMonad.Layout.NoFrillsDecoration Methods readsPrec :: Int -> ReadS (NoFrillsDecoration a) # readList :: ReadS [NoFrillsDecoration a] # readPrec :: ReadPrec (NoFrillsDecoration a) readListPrec :: ReadPrec [NoFrillsDecoration a]
Show (NoFrillsDecoration a) # |
Instance details Defined in XMonad.Layout.NoFrillsDecoration Methods showsPrec :: Int -> NoFrillsDecoration a -> ShowS # show :: NoFrillsDecoration a -> String # showList :: [NoFrillsDecoration a] -> ShowS #